Redmine - Feature #1847

Copy and Move
2008-09-03 10:47 - Ewan Makepeace

Status: Closed Start date: 2008-09-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed

Description

We have a family of related subprojects under a parent. Often | will assign the same basic task in each of the subprojects (so that |
can see how it goes on the first one, and then schedule the same work on the siblings).

Typically | copy and then move the task from one project to the next, but this feels a bit clumsy... Copy duplicates an issue in the
current project and Move moves an existing issue to a different project (but does not copy it). Since Copy is a specialised feature,
perhaps it could ask for a project first (default being the current project) and then proceed, doing a Copy and Move if requested?

Related issues:
Related to Redmine - Patch #2559: Copy on Move option Closed 2009-01-22

Associated revisions

Revision 2313 - 2009-01-25 14:12 - Jean-Philippe Lang

Adds ability to bulk copy issues (#1847).
This can be done by checking the 'Copy' checkbox on the 'Move' form.

Revision 3063 - 2009-11-15 15:31 - Jean-Philippe Lang

Adds a 'Move and follow' button on Move/Copy view to be redirected to the created issue(s) rather than the source project issue list (#1847).

History

#1 - 2008-12-06 20:35 - Ewan Makepeace

We are writing a patch for this plan to add a checkbox to the Move screen "Make a copy" which would move a copy of the issue instead of the issue
itself.

#2 - 2009-01-22 12:06 - Ewan Makepeace
Patch uploaded here: #2559

#3 - 2009-01-23 00:46 - Kioma Aldecoa

Thanks, this looks like a very useful patch, but I'm not sure how to use it. Is it a diff? Is it a copy of a specific file?

#4 - 2009-01-25 14:08 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r2313.

#5 - 2009-01-28 05:34 - Ewan Makepeace
- File move_as_copy.diff added

Guys - | messed up with the patches (it was a redmine thing, | tried to save the patch file and saved the HTML page for the file instead...)
Our original patch is attached.

#6 - 2009-10-22 12:56 - Emilio Lorenzo
Hi,

2025-05-02 1/2



https://www.redmine.org/issues/2559
https://www.redmine.org/projects/redmine/repository/svn/revisions/2313

in the diff file, issues_controller.rb section, | replaced:

this:
unsaved_issue_ids << issue.id unless issue.move_to(@target_project, new_tracker,is_copy)

with this:
unsaved_issue_ids << issue.id unless issue.move_to_return_issue(@target_project, new_tracker,is_copy)

otherwise Redmine comes up with a "number of arguments" error when you try to move more than one issue.

#7 - 2009-10-22 14:36 - Ewan Makepeace

- Status changed from Closed to Reopened

There is one really irritating aspect of 'Move' that | have been meaning to flag for a long time - this report reminded me. After | 'Move' and issue to a
new project | invariably want to edit it to:

1. Assign a Category - Categories are per project so it will normally arrive without a category.
2. Assign a person - if the users are different between projects | will sometimes need to assign it.

However after the move Redmine drops me into the All Issues list for the source project, meaning | then have to switch projects and search for the
newly moved task. This is really undesireable behaviour, | should end up back on the same issue in the new project?

#8 - 2009-11-15 15:29 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Ewan Makepeace wrote:

However after the move Redmine drops me into the All Issues list for the source project, meaning | then have to switch projects and search for
the newly moved task. This is really undesireable behaviour, | should end up back on the same issue in the new project?

New button 'Move and follow' added in r3063.

#9 - 2009-11-26 07:03 - ko simo

Can it be recorded that the issue was copied from former issue in the history?

#10 - 2011-01-25 20:28 - Brian Lindahl

See Patch #7447 for improvements.

Files

move_as_copy.diff 4.1 KB 2009-01-28 Ewan Makepeace
